## NMDeviceVlan

NMDeviceVlan

## Functions

const char * | nm_device_vlan_get_hw_address ()
gboolean | nm_device_vlan_get_carrier ()
NMDevice * | nm_device_vlan_get_parent ()
guint | nm_device_vlan_get_vlan_id ()

## Properties

gboolean | carrier | Read
NMDevice * | parent | Read
guint | vlan-id | Read

## Types and Values

#define | NM_DEVICE_VLAN_HW_ADDRESS
#define | NM_DEVICE_VLAN_CARRIER
#define | NM_DEVICE_VLAN_PARENT
#define | NM_DEVICE_VLAN_VLAN_ID
| NMDeviceVlan

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceVlan

## Description

## Functions

### nm_device_vlan_get_hw_address ()

    const char *
    nm_device_vlan_get_hw_address (NMDeviceVlan *device);

`nm_device_vlan_get_hw_address` has been deprecated since version 1.24 and should not be used in newly-written code.

Use `nm_device_get_hw_address()` instead.

Gets the hardware (MAC) address of the NMDeviceVlan

[skip]

#### Parameters

device | a NMDeviceVlan |

#### Returns

the hardware address. This is the internal string used by the device, and must not be modified.

### nm_device_vlan_get_carrier ()

    gboolean
    nm_device_vlan_get_carrier (NMDeviceVlan *device);

Whether the device has carrier.

#### Parameters

device | a NMDeviceVlan |

#### Returns

`TRUE` if the device has carrier

### nm_device_vlan_get_parent ()

    NMDevice *
    nm_device_vlan_get_parent (NMDeviceVlan *device);

#### Parameters

device | a NMDeviceVlan |

#### Returns

the device's parent device.

[transfer none]

### nm_device_vlan_get_vlan_id ()

    guint
    nm_device_vlan_get_vlan_id (NMDeviceVlan *device);

#### Parameters

device | a NMDeviceVlan |

#### Returns

the device's VLAN ID

## Types and Values

### NM_DEVICE_VLAN_HW_ADDRESS

    #define NM_DEVICE_VLAN_HW_ADDRESS "hw-address"

### NM_DEVICE_VLAN_CARRIER

    #define NM_DEVICE_VLAN_CARRIER    "carrier"

### NM_DEVICE_VLAN_PARENT

    #define NM_DEVICE_VLAN_PARENT     "parent"

### NM_DEVICE_VLAN_VLAN_ID

    #define NM_DEVICE_VLAN_VLAN_ID    "vlan-id"

### NMDeviceVlan

    typedef struct _NMDeviceVlan NMDeviceVlan;

## Property Details

### The `“carrier”` property

      “carrier”                  gboolean

Whether the device has carrier.

Owner: NMDeviceVlan

Flags: Read

Default value: FALSE

### The `“parent”` property

      “parent”                   NMDevice *

The devices's parent device.

Owner: NMDeviceVlan

Flags: Read

### The `“vlan-id”` property

      “vlan-id”                  guint

The device's VLAN ID.

Owner: NMDeviceVlan

Flags: Read

Allowed values: <= 4095

Default value: 0